Package dev.plex.services.impl

# Class TimingService

java.lang.Object
dev.plex.services.AbstractService
dev.plex.services.impl.TimingService

All Implemented Interfaces:
  `PlexBase`, `IService`

public class TimingService extends AbstractService

## Field Summary

Fields
Modifier and Type
Field
Description
`static final Map<UUID,Long>`
`nukerCooldown`
`static final Map<UUID,Long>`
`spamCooldown`
`static final Map<UUID,Long>`
`strikes`

### Fields inherited from interface dev.plex.PlexBase

`plugin`

## Constructor Summary

Constructors
Constructor
Description
`TimingService()`

## Method Summary

Modifier and Type
Method
Description
`private void`
`issueBan(Map.Entry<UUID,Long> map)`
`int`
`repeatInSeconds()`
`void`
`run(io.papermc.paper.threadedregions.scheduler.ScheduledTask task)`

### Methods inherited from class dev.plex.services.AbstractService

`onEnd, onStart`

### Methods inherited from class java.lang.Object

`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

## Field Details

### spamCooldown

public static final Map<UUID,Long> spamCooldown

### nukerCooldown

public static final Map<UUID,Long> nukerCooldown

### strikes

public static final Map<UUID,Long> strikes

## Constructor Details

### TimingService

public TimingService()

## Method Details

### run

public void run(io.papermc.paper.threadedregions.scheduler.ScheduledTask task)

### issueBan

private void issueBan(Map.Entry<UUID,Long> map)

### repeatInSeconds

public int repeatInSeconds()